GET api/NTCosCompany/GetCompanyService?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfServiceDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of ServiceDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"Name": "sample string 2",
"Description": "sample string 3",
"ServiceActive": true,
"CompanyServiceId": 5,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:31:04.8412597-07:00",
"DateUpdated": "2026-08-04T14:31:04.8412597-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
{
"Id": 1,
"Name": "sample string 2",
"Description": "sample string 3",
"ServiceActive": true,
"CompanyServiceId": 5,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:31:04.8412597-07:00",
"DateUpdated": "2026-08-04T14:31:04.8412597-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}